Issue 119124 - IDL: description about exception of css::awt::grid::XMutableGridDataModel#updateRowData is wrong
IDL: description about exception of css::awt::grid::XMutableGridDataModel#upd...
Status: VERIFIED FIXED
Product: App Dev
Classification: Unclassified
Component: api
OOo 3.3 or older
PC All
: P3 normal
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 07:00 UTC by hanya
Modified: 2013-07-11 09:36 UTC (History)
3 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patch to fix this issue (840 bytes, patch)
2012-04-30 12:22 UTC, hanya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description hanya 2012-03-25 07:00:09 UTC
The description of updateRowData method in com::sun::star::awt::grid::XMutableGridDataModel interface is partly wrong. 
There are two entries to describe about exception in the method description. Second one should be described about css::lang::IllegalArgumentException but its title is IndexOutOfBoundsException.

http://svn.apache.org/viewvc/incubator/ooo/trunk/main/offapi/com/sun/star/awt/grid/XMutableGridDataModel.idl?revision=1208211&view=markup#l120
Comment 1 hanya 2012-04-30 12:22:59 UTC
Created attachment 77504 [details]
Patch to fix this issue
Comment 2 Ariel Constenla-Haile 2012-05-29 16:53:58 UTC
Committer 0

@hanya: Many thanks for your contribution.
Comment 3 Li Lin Yi 2012-06-19 06:31:19 UTC
Veriried on trunk, 0.
But branch not fixed. Branch version is 1.
Someone pls help fixed it.
Comment 4 Ariel Constenla-Haile 2012-06-19 06:35:34 UTC
(In reply to comment #3)
> Veriried on trunk, 0.
> But branch not fixed. Branch version is 1.
> Someone pls help fixed it.

AFAIK on branch you can only commit code after discussing first on the Development mailing list, see threads starting with "[RELEASE][3.4.1]: proposing bug/issue N...".
If I'm right, this means someone has to propose this bug  on the mailing list first.
Comment 5 Li Lin Yi 2012-06-20 03:08:25 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Veriried on trunk, 0.
> > But branch not fixed. Branch version is 1.
> > Someone pls help fixed it.
> 
> AFAIK on branch you can only commit code after discussing first on the
> Development mailing list, see threads starting with "[RELEASE][3.4.1]:
> proposing bug/issue N...".
> If I'm right, this means someone has to propose this bug  on the mailing
> list first.

Got it. Thanks for clarification.
Changed to verified.